Package net.snowflake.client.core

## Class OpaqueContextDTO

- java.lang.Object
- - net.snowflake.client.core.OpaqueContextDTO

    public class OpaqueContextDTO
    extends Object

This context is opaque to the JDBC driver. It is generated by the Cloud service and pushed back on each request invocation.

### Constructor Summary

Constructors
`OpaqueContextDTO​(String base64Data)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getBase64Data()`
`void` `setBase64Data​(String base64Data)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### OpaqueContextDTO

    public OpaqueContextDTO​(String base64Data)

### Method Detail

#### getBase64Data

    public String getBase64Data()

#### setBase64Data

    public void setBase64Data​(String base64Data)